Subject: bug#62637: 29.0.60; Issues when displaying images

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Apr 2023 21:42:20 +0300

> From: Al Haji-Ali <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 03 Apr 2023 19:30:38 +0100
> 
> This code tests overlay visibility for images with three cases:
> - using insert-image: as you explained this does not work as expected.
> - using put-image: Since put-images uses an overlay, I guess the same logic applies.
> - put-image with a newline: Seems to work for some reason. This is what `mml-inline-image` was using before and why notmuch was working.

I think the invisible overlay will work if its span is different from
exactly the same text as the one on which image is defined.  I think
notmuch could simply copy the old definition of mml-inline-image, and
use that.

> Sorry for the noise. I am not sure there's a bug in this case, only unjustified expectations as you put it.

No sweat.

I'd still like to hear from Lars about the string he used in the
insert-image call: should we replace it with a non-whitespace string?